Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PDFDocumentHandler

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandler
          org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
              org.apache.fop.render.pdf.PDFDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler

public class PDFDocumentHandler
extends AbstractBinaryWritingIFDocumentHandler

`IFDocumentHandler` implementation that produces PDF.

Field Summary
`protected PDFResourceContext` | `currentContext` the current annotation list to add annotations to
`protected PDFPage` | `currentPage` the current page to add annotations to
`protected org.apache.fop.render.pdf.PDFDocumentHandler.PageReference` | `currentPageRef` the current page's PDF reference
`protected PDFContentGenerator` | `generator` The current content generator
`protected java.util.Map` | `pageReferences` Used for bookmarks/outlines.
`protected PDFDocument` | `pdfDoc` the PDF Document being created
`protected PDFResources` | `pdfResources` the /Resources object of the PDF document being created
`protected org.apache.fop.render.pdf.PDFRenderingUtil` | `pdfUtil` Utility class which enables all sorts of features that are not directly connected to the normal rendering process.

Fields inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
`fontInfo, outputStream`

Constructor Summary
`PDFDocumentHandler()` Default constructor.

Method Summary
`void` | `endDocument()` Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.
`void` | `endDocumentHeader()` Indicates the end of the document header. This method is called before the first page sequence.
`void` | `endPage()` Indicates the end of a page
`void` | `endPageContent()` Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.
`void` | `endPageSequence()` Indicates the end of a page sequence.
`IFDocumentHandlerConfigurator` | `getConfigurator()` Returns the configurator for this document handler, if any.
`IFDocumentNavigationHandler` | `getDocumentNavigationHandler()` Returns a document navigation handler if this feature is supported.
`java.lang.String` | `getMimeType()` Returns the MIME type of the output format that is generated by this implementation.
`void` | `handleExtensionObject(java.lang.Object extension)` Handles an extension object. This can be a DOM document or any arbitrary object. If an implementation doesn't know how to handle a particular extension it is simply ignored.
`void` | `setContext(IFContext context)` Sets the intermediate format context object.
`void` | `startDocument()` Indicates the start of a document. This method may only be called once before any other event method.
`void` | `startPage(int index, java.lang.String name, java.lang.String pageMasterName, java.awt.Dimension size)` Indicates the start of a new page.
`IFPainter` | `startPageContent()` Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.
`void` | `startPageSequence(java.lang.String id)` Indicates the start of a new page sequence.
`boolean` | `supportsPagesOutOfOrder()` Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

Methods inherited from class org.apache.fop.render.intermediate.AbstractBinaryWritingIFDocumentHandler
`getFontInfo, setDefaultFontInfo, setFontInfo, setResult`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler
`endDocumentTrailer, endPageHeader, endPageTrailer, getContext, getUserAgent, startDocumentHeader, startDocumentTrailer, startPageHeader, startPageTrailer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pdfDoc

    protected PDFDocument pdfDoc

  the PDF Document being created

### pdfUtil

    protected org.apache.fop.render.pdf.PDFRenderingUtil pdfUtil

  Utility class which enables all sorts of features that are not directly connected to the normal rendering process.

### pdfResources

    protected PDFResources pdfResources

  the /Resources object of the PDF document being created

### generator

    protected PDFContentGenerator generator

  The current content generator

### currentContext

    protected PDFResourceContext currentContext

  the current annotation list to add annotations to

### currentPage

    protected PDFPage currentPage

  the current page to add annotations to

### currentPageRef

    protected org.apache.fop.render.pdf.PDFDocumentHandler.PageReference currentPageRef

  the current page's PDF reference

### pageReferences

    protected java.util.Map pageReferences

  Used for bookmarks/outlines.

Constructor Detail

### PDFDocumentHandler

    public PDFDocumentHandler()

  Default constructor.

Method Detail

### supportsPagesOutOfOrder

    public boolean supportsPagesOutOfOrder()

  Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

  Returns:
    true if out-of-order handling is supported

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type of the output format that is generated by this implementation.

  Returns:
    the MIME type

### setContext

    public void setContext(IFContext context)

  Sets the intermediate format context object.

  Specified by:
    `setContext` in interface `IFDocumentHandler`
  Overrides:
    `setContext` in class `AbstractIFDocumentHandler`

### getConfigurator

    public IFDocumentHandlerConfigurator getConfigurator()

  Returns the configurator for this document handler, if any.

  Returns:
    the configurator or null if there's no configurator

### getDocumentNavigationHandler

    public IFDocumentNavigationHandler getDocumentNavigationHandler()

  Returns a document navigation handler if this feature is supported.

  Specified by:
    `getDocumentNavigationHandler` in interface `IFDocumentHandler`
  Overrides:
    `getDocumentNavigationHandler` in class `AbstractIFDocumentHandler`

### startDocument

    public void startDocument()
                       throws IFException

  Indicates the start of a document. This method may only be called once before any other event method.

  Specified by:
    `startDocument` in interface `IFDocumentHandler`
  Overrides:
    `startDocument` in class `AbstractBinaryWritingIFDocumentHandler`
  Throws:
    `IFException`

### endDocumentHeader

    public void endDocumentHeader()
                           throws IFException

  Indicates the end of the document header. This method is called before the first page sequence.

  Specified by:
    `endDocumentHeader` in interface `IFDocumentHandler`
  Overrides:
    `endDocumentHeader` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException`

### endDocument

    public void endDocument()
                     throws IFException

  Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.

  Specified by:
    `endDocument` in interface `IFDocumentHandler`
  Overrides:
    `endDocument` in class `AbstractBinaryWritingIFDocumentHandler`
  Throws:
    `IFException`

### startPageSequence

    public void startPageSequence(java.lang.String id)
                           throws IFException

  Indicates the start of a new page sequence.

  Parameters:
    `id` - the page sequence's identifier (or null if none is available)
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageSequence

    public void endPageSequence()
                         throws IFException

  Indicates the end of a page sequence.

  Throws:
    `IFException` - if an error occurs while handling this event

### startPage

    public void startPage(int index,
                          java.lang.String name,
                          java.lang.String pageMasterName,
                          java.awt.Dimension size)
                   throws IFException

  Indicates the start of a new page.

  Parameters:
    `index` - the index of the page (0-based)
    `name` - the page name (usually the formatted page number)
    `pageMasterName` - the name of the simple-page-master that generated this page
    `size` - the size of the page (equivalent to the MediaBox in PDF)
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageContent

    public IFPainter startPageContent()
                               throws IFException

  Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.

  Returns:
    the IFPainter for the page content
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageContent

    public void endPageContent()
                        throws IFException

  Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.

  Throws:
    `IFException` - if an error occurs while handling this event

### endPage

    public void endPage()
                 throws IFException

  Indicates the end of a page

  Throws:
    `IFException` - if an error occurs while handling this event

### handleExtensionObject

    public void handleExtensionObject(java.lang.Object extension)
                               throws IFException

  Handles an extension object. This can be a DOM document or any arbitrary object. If an implementation doesn't know how to handle a particular extension it is simply ignored.

  Parameters:
    `extension` - the extension object
  Throws:
    `IFException` - if an error occurs while handling this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.